Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.velocity.runtime.parser.node
Class ASTOrNode

    java.lang.Object
      org.apache.velocity.runtime.parser.node.SimpleNode
          org.apache.velocity.runtime.parser.node.ASTOrNode

All Implemented Interfaces:
  Node, Renderable

public class ASTOrNode
extends SimpleNode

Please look at the Parser.jjt file which is what controls the generation of this class.

Version:
  $Id: ASTOrNode.java 685370 2008-08-12 23:36:35Z nbubna $
Author:
  Jason van Zyl, Geir Magnusson Jr.

Field Summary

Fields inherited from class org.apache.velocity.runtime.parser.node.SimpleNode
`children, first, id, info, invalid, last, log, parent, parser, rsvc, state, templateName`

Constructor Summary
`ASTOrNode(int id)`
`ASTOrNode(Parser p, int id)`

Method Summary
`boolean` | `evaluate(InternalContextAdapter context)` the logical or : the rule : left || null -> left null || right -> right null || null -> false left || right -> left || right
`Object` | `jjtAccept(ParserVisitor visitor, Object data)`
`Object` | `value(InternalContextAdapter context)` Returns the value of the expression.

Methods inherited from class org.apache.velocity.runtime.parser.node.SimpleNode
`childrenAccept, dump, execute, getColumn, getFirstToken, getInfo, getLastToken, getLine, getLocation, getRuntimeServices, getTemplateName, getType, init, isInvalid, jjtAddChild, jjtClose, jjtGetChild, jjtGetNumChildren, jjtGetParent, jjtOpen, jjtSetParent, literal, render, setFirstToken, setInfo, setInvalid, toString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ASTOrNode

    public ASTOrNode(int id)

Parameters:
  `id` -

### ASTOrNode

    public ASTOrNode(Parser p,
                     int id)

Parameters:
  `p` -
  `id` -

Method Detail

### jjtAccept

    public Object jjtAccept(ParserVisitor visitor,
                            Object data)

  Specified by:
    `jjtAccept` in interface `Node`
  Overrides:
    `jjtAccept` in class `SimpleNode`
  See Also:
    `SimpleNode.jjtAccept(org.apache.velocity.runtime.parser.node.ParserVisitor, java.lang.Object)`

### value

    public Object value(InternalContextAdapter context)
                 throws MethodInvocationException

  Returns the value of the expression. Since the value of the expression is simply the boolean result of evaluate(), lets return that.

  Specified by:
    `value` in interface `Node`
  Overrides:
    `value` in class `SimpleNode`
  Parameters:
    `context` -
  Returns:
    The Expression value.
  Throws:
    `MethodInvocationException`
  See Also:
    `Node.value(org.apache.velocity.context.InternalContextAdapter)`

### evaluate

    public boolean evaluate(InternalContextAdapter context)
                     throws MethodInvocationException

  the logical or : the rule : left || null -> left null || right -> right null || null -> false left || right -> left || right

  Specified by:
    `evaluate` in interface `Node`
  Overrides:
    `evaluate` in class `SimpleNode`
  Parameters:
    `context` -
  Returns:
    The evaluation result.
  Throws:
    `MethodInvocationException`
  See Also:
    `Node.evaluate(org.apache.velocity.context.InternalContextAdapter)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2010 Apache Software Foundation. All Rights Reserved.